using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WLog.Class;

namespace WLog.GUI
{
    /// <summary>
    /// Show the scroll in a MonthCal
    /// </summary>
    public partial class fr_Cal : Form
    {
        #region Variables
        /// <summary>
        /// Information about the logs
        /// </summary>
        private LogMeetingSet vLogMeetingSet = new LogMeetingSet();
        #endregion

        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_Cal()
        {
            InitializeComponent();            
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the MeetingSource with all the logs
        /// </summary>
        internal LogMeetingSet MeetingSource
        {
            get { return vLogMeetingSet; }
            set
            {
                vLogMeetingSet = value;
                this.mc_Logs.MeetingSource = value;
                this.mc_Logs.DateToDisplay = vLogMeetingSet.FirstLogDate;
            }
        }
        #endregion
    }
}